# Author: Brett Parker <iDunno@sommitrealweird.co.uk>

"""
HTML1.1 Writer.
"""

__docformat__ = 'reStructuredText'

import sys
import os
import os.path
import codecs
import docutils
from docutils import frontend, nodes, utils, writers
from docutils.writers import html4css1

class Writer(html4css1.Writer):

    config_section = 'xhtml11 writer'
    config_section_dependencies = ('writers', 'html4css1 writer')

    def __init__(self):
        html4css1.Writer.__init__(self)
        self.translator_class = HTMLTranslator

class HTMLTranslator(html4css1.HTMLTranslator):

    def is_compactable(self, node):
        return False

    def should_be_compact_paragraph(self, node):
        return False
